Bug 209351 - Alt key is ignored in shortcuts
Alt key is ignored in shortcuts
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-04 15:37 EDT by Pavol Šimo
Modified: 2008-06-16 21:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavol Šimo 2006-10-04 15:37:33 EDT
When I bind some action to any key combination with the Alt key, that setting
won't work.
Other keys are okay (well, I'm not sure about Escape), so I temporarily use the
Mod4 instead of Alt.
I use the pc104 model, us layout.
Comment 1 Pavol Šimo 2006-11-02 07:51:46 EST
Now I have more information about this problem.
It looks like it's related to keyboard settings.
I have 2 layouts in the Keyboard preferences - U.S. English (default) and
Slovakia qwerty.
I used to switch between them by Shift+CapsLock key combination, but that way
the compiz ignored all shortcuts which have Alt key within it.
I've (I hope temporarily) solved this by removing second layout and after
restart re-adding it - but without touching anything in the Layout options tab.
That means I have to switch between layouts using both Alt keys (as this is
default setting) ...

Uff, no other one of other options in the Layout options tab is working, only
the "Both Alt keys together change group"!

I have fully updated FC6 ... no more rawhide :-(
Comment 2 Rui Matos 2007-07-17 06:05:16 EDT
This bug still exists on Fedora 7.
Comment 3 Matěj Cepl 2007-10-02 14:37:26 EDT
This is not the right component. Trying control-center, but please reassign if I
am mistaken.
Comment 4 Bastien Nocera 2007-10-02 15:34:58 EDT
Which keybindings do that in particular?
Comment 5 Pavol Šimo 2007-10-05 08:34:15 EDT
IMHO this is not the right component, too.
Every keybinding, which is related to window manager (compiz) is ignored, don't
care if it is set from gnome-keybinding-properties or from gconf-editor
For example if Increase Opacity is set to Alt+Down
(opacity_increase_key==<Alt>Down), pressing the key combination does nothing.
Setting it to Ctrl+Down does differ: it works.
The same for other compiz settings (ie. window switching using <Alt>Tab).

Funny thing begins: as I've wrote in comment#1 when I check/set the option "Both
Alt keys together change group", all begins working as expected.
Well, not really everything, any combination with Escape key is not working (I
use <Ctrl>Escape for main menu poping up and <Ctrl><Shift>Escape for
Comment 6 Bastien Nocera 2007-10-05 08:43:56 EDT
The first half is probably a problem with compiz, however the second part could
be a problem in the control-center, or a side-effect of compiz.

Do both parts of the problem get "fixed" by using metacity instead of compiz?
Comment 7 Pavol Šimo 2007-10-08 07:50:36 EDT
Hmm, yes, it gets "fixed" ... First of all I use metacity, there is no problem
like the above in it.
Comment 8 Bastien Nocera 2007-10-08 09:16:41 EDT
Back to compiz.
Comment 9 Kristian Høgsberg 2007-10-09 12:05:03 EDT
This sounds like a XKB problem.  Or actually, I'm guessing it's not a bug, just
unexpected behaviour.  When using a non-us layout, the right Alt key isn't
actually an alt key, it it AltGr, which is used to reach some of the characters
in the non-us layout.  Try running xev and move the mouse into the black square
outline in the window.  Once in place, compare the output of pressing the left
Alt key with the right Alt key.  You should get something like:

KeyPress event, serial 30, synthetic NO, window 0x6000001,
    root 0x7a, subw 0x6000002, time 2239635396, (46,34), root:(1086,1005),
    state 0x0, keycode 64 (keysym 0xffe9, Alt_L), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

for the left key and something like:

KeyPress event, serial 30, synthetic NO, window 0x6000001,
    root 0x7a, subw 0x6000002, time 2239787292, (36,31), root:(1076,1002),
    state 0x0, keycode 113 (keysym 0xfe03, ISO_Level3_Shift), same_screen YES,
    XLookupString gives 0 bytes: 
    XmbLookupString gives 0 bytes: 
    XFilterEvent returns: False

for the right.

The short version is if you use double keyboard layouts, you give up the right
Alt key.
Comment 10 Pavol Šimo 2007-10-10 10:31:52 EDT
Yes, I already know about the Right Alt key. This all is tested using Left Alt key.

And what about the Escape key? Fill another bugreport?
Comment 11 Bug Zapper 2008-05-14 08:03:15 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2008-06-16 21:13:29 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.